net.sf.jasperreports.engine.base

## Class JRBaseGroup

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseGroup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRGroup
  Direct Known Subclasses:
    JRDesignGroup

      public class JRBaseGroup
      extends java.lang.Object
      implements JRGroup, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: JRBaseGroup.java 5898 2013-01-22 12:20:10Z chicuslavic $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRVariable` | `countVariable`
    `protected JRExpression` | `expression`
    `protected FooterPositionEnum` | `footerPositionValue`
    `protected JRSection` | `groupFooterSection`
    `protected JRSection` | `groupHeaderSection`
    `protected boolean` | `isReprintHeaderOnEachPage`
    `protected boolean` | `isResetPageNumber`
    `protected boolean` | `isStartNewColumn`
    `protected boolean` | `isStartNewPage`
    `protected boolean` | `keepTogether`
    `protected int` | `minHeightToStartNewPage`
    `protected java.lang.String` | `name`
    `static java.lang.String` | `PROPERTY_FOOTER_POSITION`
    `static java.lang.String` | `PROPERTY_KEEP_TOGETHER`
    `static java.lang.String` | `PROPERTY_MIN_HEIGHT_TO_START_NEW_PAGE`
    `static java.lang.String` | `PROPERTY_REPRINT_HEADER_ON_EACH_PAGE`
    `static java.lang.String` | `PROPERTY_RESET_PAGE_NUMBER`
    `static java.lang.String` | `PROPERTY_START_NEW_COLUMN`
    `static java.lang.String` | `PROPERTY_START_NEW_PAGE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseGroup()`
    `protected` | `JRBaseGroup(JRGroup group, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRVariable` | `getCountVariable()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `JRExpression` | `getExpression()` Gets the expression that defines what records in the group have in common.
    `FooterPositionEnum` | `getFooterPositionValue()` Specifies how the group footer section behaves with regards to its position on the current page.
    `JRSection` | `getGroupFooterSection()` Gets the footer section created for this group.
    `JRSection` | `getGroupHeaderSection()` Gets the header section created for this group.
    `int` | `getMinHeightToStartNewPage()` Gets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
    `java.lang.String` | `getName()` Gets the group name
    `boolean` | `isKeepTogether()` Gets the flag that signals if the group should be prevented from splitting on first break attempt.
    `boolean` | `isReprintHeaderOnEachPage()` Gets the flag that signals if the group header should be reprinted at the beginning of each page.
    `boolean` | `isResetPageNumber()` Gets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
    `boolean` | `isStartNewColumn()` Gets the flag that signals if the group header should be printed always on a new column.
    `boolean` | `isStartNewPage()` Gets the flag that signals if the group header should be printed always on a new page.
    `void` | `setFooterPosition(FooterPositionEnum footerPositionValue)` Specifies the group footer section behavior with regards to its position on the current page.
    `void` | `setKeepTogether(boolean keepTogether)` Sets the flag that signals if the group should be prevented from splitting on first break attempt.
    `void` | `setMinHeightToStartNewPage(int minHeight)` Sets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
    `void` | `setReprintHeaderOnEachPage(boolean isReprint)` Sets the flag that signals if the group header should be reprinted at the beginning of each page.
    `void` | `setResetPageNumber(boolean isReset)` Sets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
    `void` | `setStartNewColumn(boolean isStart)` Sets the flag that signals if the group header should be printed always on a new column.
    `void` | `setStartNewPage(boolean isStart)` Sets the flag that signals if the group header should be printed always on a new page.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_MIN_HEIGHT_TO_START_NEW_PAGE

          public static final java.lang.String PROPERTY_MIN_HEIGHT_TO_START_NEW_PAGE

      See Also:
        Constant Field Values

    - #### PROPERTY_FOOTER_POSITION

          public static final java.lang.String PROPERTY_FOOTER_POSITION

      See Also:
        Constant Field Values

    - #### PROPERTY_KEEP_TOGETHER

          public static final java.lang.String PROPERTY_KEEP_TOGETHER

      See Also:
        Constant Field Values

    - #### PROPERTY_RESET_PAGE_NUMBER

          public static final java.lang.String PROPERTY_RESET_PAGE_NUMBER

      See Also:
        Constant Field Values

    - #### PROPERTY_REPRINT_HEADER_ON_EACH_PAGE

          public static final java.lang.String PROPERTY_REPRINT_HEADER_ON_EACH_PAGE

      See Also:
        Constant Field Values

    - #### PROPERTY_START_NEW_COLUMN

          public static final java.lang.String PROPERTY_START_NEW_COLUMN

      See Also:
        Constant Field Values

    - #### PROPERTY_START_NEW_PAGE

          public static final java.lang.String PROPERTY_START_NEW_PAGE

      See Also:
        Constant Field Values

    - #### name

          protected java.lang.String name

    - #### isStartNewColumn

          protected boolean isStartNewColumn

    - #### isStartNewPage

          protected boolean isStartNewPage

    - #### isResetPageNumber

          protected boolean isResetPageNumber

    - #### isReprintHeaderOnEachPage

          protected boolean isReprintHeaderOnEachPage

    - #### minHeightToStartNewPage

          protected int minHeightToStartNewPage

    - #### footerPositionValue

          protected FooterPositionEnum footerPositionValue

    - #### keepTogether

          protected boolean keepTogether

    - #### expression

          protected JRExpression expression

    - #### groupHeaderSection

          protected JRSection groupHeaderSection

    - #### groupFooterSection

          protected JRSection groupFooterSection

    - #### countVariable

          protected JRVariable countVariable

  - ### Constructor Detail

    - #### JRBaseGroup

          protected JRBaseGroup()

    - #### JRBaseGroup

          protected JRBaseGroup(JRGroup group,
                     JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `JRGroup`
      Gets the group name
      Specified by:
        `getName` in interface `JRGroup`

    - #### isStartNewColumn

          public boolean isStartNewColumn()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group header should be printed always on a new column.
      Specified by:
        `isStartNewColumn` in interface `JRGroup`

    - #### setStartNewColumn

          public void setStartNewColumn(boolean isStart)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group header should be printed always on a new column.
      Specified by:
        `setStartNewColumn` in interface `JRGroup`

    - #### isStartNewPage

          public boolean isStartNewPage()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group header should be printed always on a new page.
      Specified by:
        `isStartNewPage` in interface `JRGroup`

    - #### setStartNewPage

          public void setStartNewPage(boolean isStart)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group header should be printed always on a new page.
      Specified by:
        `setStartNewPage` in interface `JRGroup`

    - #### isResetPageNumber

          public boolean isResetPageNumber()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
      Specified by:
        `isResetPageNumber` in interface `JRGroup`

    - #### setResetPageNumber

          public void setResetPageNumber(boolean isReset)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
      Specified by:
        `setResetPageNumber` in interface `JRGroup`

    - #### isReprintHeaderOnEachPage

          public boolean isReprintHeaderOnEachPage()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group header should be reprinted at the beginning of each page.
      Specified by:
        `isReprintHeaderOnEachPage` in interface `JRGroup`

    - #### setReprintHeaderOnEachPage

          public void setReprintHeaderOnEachPage(boolean isReprint)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group header should be reprinted at the beginning of each page.
      Specified by:
        `setReprintHeaderOnEachPage` in interface `JRGroup`

    - #### getMinHeightToStartNewPage

          public int getMinHeightToStartNewPage()

      Description copied from interface: `JRGroup`
      Gets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
      Specified by:
        `getMinHeightToStartNewPage` in interface `JRGroup`

    - #### setMinHeightToStartNewPage

          public void setMinHeightToStartNewPage(int minHeight)

      Description copied from interface: `JRGroup`
      Sets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
      Specified by:
        `setMinHeightToStartNewPage` in interface `JRGroup`

    - #### getFooterPositionValue

          public FooterPositionEnum getFooterPositionValue()

      Description copied from interface: `JRGroup`
      Specifies how the group footer section behaves with regards to its position on the current page.
      Specified by:
        `getFooterPositionValue` in interface `JRGroup`

    - #### setFooterPosition

          public void setFooterPosition(FooterPositionEnum footerPositionValue)

      Description copied from interface: `JRGroup`
      Specifies the group footer section behavior with regards to its position on the current page.
      Specified by:
        `setFooterPosition` in interface `JRGroup`

    - #### isKeepTogether

          public boolean isKeepTogether()

      Description copied from interface: `JRGroup`
      Gets the flag that signals if the group should be prevented from splitting on first break attempt.
      Specified by:
        `isKeepTogether` in interface `JRGroup`

    - #### setKeepTogether

          public void setKeepTogether(boolean keepTogether)

      Description copied from interface: `JRGroup`
      Sets the flag that signals if the group should be prevented from splitting on first break attempt.
      Specified by:
        `setKeepTogether` in interface `JRGroup`

    - #### getExpression

          public JRExpression getExpression()

      Description copied from interface: `JRGroup`
      Gets the expression that defines what records in the group have in common.
      Specified by:
        `getExpression` in interface `JRGroup`

    - #### getGroupHeaderSection

          public JRSection getGroupHeaderSection()

      Description copied from interface: `JRGroup`
      Gets the header section created for this group.
      Specified by:
        `getGroupHeaderSection` in interface `JRGroup`

    - #### getGroupFooterSection

          public JRSection getGroupFooterSection()

      Description copied from interface: `JRGroup`
      Gets the footer section created for this group.
      Specified by:
        `getGroupFooterSection` in interface `JRGroup`

    - #### getCountVariable

          public JRVariable getCountVariable()

      Specified by:
        `getCountVariable` in interface `JRGroup`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com